Invoices
List Invoices
List invoices with pagination.
GET
/
invoices
List Invoices
curl --request GET \
--url https://vinmake-erp.onrender.com/invoicesimport requests
url = "https://vinmake-erp.onrender.com/invoices"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://vinmake-erp.onrender.com/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"invoiceNumber": "<string>",
"invoiceType": "<string>",
"salesOrderId": "<string>",
"clientId": "<string>",
"clientName": "<string>",
"currency": "<string>",
"subtotal": 123,
"taxRate": 123,
"taxAmount": 123,
"totalAmount": 123,
"paidAmount": 123,
"remainingBalance": 123,
"issuedDate": "<string>",
"dueDate": "<string>",
"status": "<string>",
"notes": "<string>",
"createdAt": "<string>",
"lineItems": [
{
"id": "<string>",
"invoiceId": "<string>",
"salesOrderLineItemId": "<string>",
"description": "<string>",
"qty": 123,
"unitPrice": 123,
"amount": 123
}
]
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasNext": true,
"hasPrev": true
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100⌘I
List Invoices
